/* Rose Gallery */
.gallery, .photoVideoGallery {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

.gallery .item, .photoVideoGallery .item {
    border-radius: .75rem;
    margin: .3rem;
    max-height: 7rem;
    overflow: hidden;
}

.gallery .item img, .photoVideoGallery .item img {
    cursor: pointer;
    max-height: 7rem;
    transition: all .5s ease;
}

.gallery .item img:hover, .photoVideoGallery .item img:hover {
    transform: scale(1.2);
    transition: all .5s ease;
}

.gallery .item .description, .photoVideoGallery .item .description {
    display: none;
}

.gallery .videoElement .description, .photoVideoGallery .videoElement .description {
    display: none;
}

.gallery #g-popup, .photoVideoGallery #g-popup {
    align-items: center;
    background: rgba(0, 0, 0, 0.8);
    display: none;
    height: 100vh;
    justify-content: center;
    left: 0;
    position: fixed;
    top: 0;
    width: 100vw;
    z-index: 9999;
}

.gallery #g-popup .close, .photoVideoGallery #g-popup .close {
    align-items: center;
    background: rgba(0, 0, 0, 0.3);
    border-radius: 50%;
    color: white;
    cursor: pointer;
    display: flex;
    font-size: 2rem;
    height: 3rem;
    justify-content: center;
    position: absolute;
    right: 1rem;
    top: 1rem;
    width: 3rem;
    z-index: 10000;
}

.gallery #g-popup .close:hover, .photoVideoGallery #g-popup .close:hover {
    background: rgba(0, 0, 0, 0.5);
}

.gallery #g-popup .g-container, .photoVideoGallery #g-popup .g-container {
    align-items: center;
    border-radius: .5rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
}

.gallery #g-popup .g-container img, .photoVideoGallery #g-popup .g-container img {
    border-radius: .75rem;
    max-height: 90vh;
    max-width: 90vw;
}

.gallery #g-popup .g-container video, .photoVideoGallery #g-popup .g-container video {
    border-radius: .75rem;
    height: 70vh !important;
    max-width: 90vw;
}

.gallery #g-popup .g-container .description, .photoVideoGallery #g-popup .g-container .description {
    align-items: center;
    background: rgba(0, 0, 0, 0.4);
    border-radius: 0 0 .5rem .5rem;
    bottom: 0;
    color: white;
    display: none;
    justify-content: space-between;
    padding: 1rem .5rem;
    position: absolute;
    text-align: center;
    width: 100%;
}

.gallery #g-popup .g-container video ~ div, .photoVideoGallery #g-popup .g-container video ~ div {
    bottom: -45px !important;
}

.gallery #g-popup .g-container .arrow, .photoVideoGallery #g-popup .g-container .arrow {
    align-items: center;
    display: flex;
    justify-content: space-between;
    position: absolute;
    top: 45%;
    width: 95%;
}

.gallery #g-popup .g-container .arrow span, .photoVideoGallery #g-popup .g-container .arrow span {
    align-items: center;
    background: rgba(0, 0, 0, 0.3);
    border-radius: 50%;
    color: white;
    cursor: pointer;
    display: flex;
    font-size: 2rem;
    height: 3rem;
    justify-content: center;
    width: 3rem;
}

.gallery #g-popup .g-container .arrow span:hover, .photoVideoGallery #g-popup .g-container .arrow span:hover {
    background: rgba(0, 0, 0, 0.5);
}

.gallery #g-popup .g-container .g-showMoreButton, .photoVideoGallery #g-popup .g-container .g-showMoreButton {
    align-items: center;
    background: rgba(0, 0, 0, 0.4);
    border-radius: 0 0 .5rem .5rem;
    bottom: 0;
    color: white;
    cursor: pointer;
    display: block;
    justify-content: space-between;
    padding: 1rem 0;
    position: absolute;
    text-align: center;
    width: 100%;
}

@media only screen and (max-width: 768px) {
    .gallery, .photoVideoGallery {
        align-items: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .gallery .item, .photoVideoGallery .item {
        border-radius: .25rem;
        margin: .3rem;
        max-height: unset;
        max-width: 80vw;
        overflow: hidden;
    }

    .gallery .item img, .photoVideoGallery .item img {
        cursor: pointer;
        max-height: unset;
        max-width: 70vw;
        transition: all .5s ease;
    }

    .gallery #g-popup .g-container img, .photoVideoGallery #g-popup .g-container img {
        border-radius: .75rem;
        height: unset;
        width: 90vw;
    }

    .gallery #g-popup .g-container video, .photoVideoGallery #g-popup .g-container video {
        border-radius: .75rem;
        height: unset !important;
        max-width: 90vw;
    }

    .gallery #g-popup .g-container .description, .photoVideoGallery #g-popup .g-container .description {
        background: rgba(40, 40, 40, 1);
        bottom: -5rem;
        display: none;
    }

    .gallery .item img:hover, .photoVideoGallery .item img:hover {
        transform: scale(1);
        transition: all .5s ease;
    }

    .gallery #g-popup .g-container .arrow, .photoVideoGallery #g-popup .g-container .arrow {
        align-items: center;
        display: flex;
        justify-content: space-between;
        position: absolute;
        top: 40%;
        width: 95%;
    }

    .gallery #g-popup .g-container video ~ .arrow, .photoVideoGallery #g-popup .g-container video ~ .arrow {
        top: -30%;
    }
}
